/*	=================
 *	DGHandleLocker.cc
 *	=================
 */

#include <MacMemory.h>

#include "DGHandleLocker.hh"

DGHandleLocker::DGHandleLocker(Handle inHandle)
{
	mHandle = inHandle;
	mHandleState = ::HGetState(inHandle);
	::HLockHi(inHandle);
}

DGHandleLocker::~DGHandleLocker()
{
	::HSetState(mHandle, mHandleState);
}
